Bug 1409639 - python-blosc cannot compile for aarch64, ppc64 and ppc64le archs due to python-cpuinfo
Summary: python-blosc cannot compile for aarch64, ppc64 and ppc64le archs due to pytho...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blosc
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Thibault North
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1409636
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 ARM64, F-ExcludeArch-aarch64 F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2017-01-02 16:48 UTC by Charalampos Stratakis
Modified: 2017-01-05 15:28 UTC (History)
4 users (show)

Fixed In Version: python-blosc-1.4.1-3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-05 15:28:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Charalampos Stratakis 2017-01-02 16:48:08 UTC
Currently, python-blosc depends on python-cpuinfo which in turn, does not support the mentioned arcs and as a result blosc cannot be built in rawhide after these archs were enabled.

Failed build: https://koji.fedoraproject.org/koji/taskinfo?taskID=17002571

These archs should be excluded.

Comment 1 Dan Horák 2017-01-05 15:28:43 UTC
The unnecessary build-time check can be removed - http://pkgs.fedoraproject.org/cgit/rpms/python-blosc.git/commit/?id=3602f24e26109015780e0c7705a197ace9a8981e


Note You need to log in before you can comment on or make changes to this bug.